/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model18
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model18 {
  @SerializedName("name")
  private String name = null;

  @SerializedName("content_url")
  private String contentUrl = null;

  @SerializedName("type")
  private String type = null;

  public Model18 name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Attached document name.
   * @return name
  **/
  @ApiModelProperty(example = "terms_and_conditions", required = true, value = "Attached document name.")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Model18 contentUrl(String contentUrl) {
    this.contentUrl = contentUrl;
    return this;
  }

   /**
   * URL to download the document.
   * @return contentUrl
  **/
  @ApiModelProperty(example = "http://website.com/mydocument", required = true, value = "URL to download the document.")
  public String getContentUrl() {
    return contentUrl;
  }

  public void setContentUrl(String contentUrl) {
    this.contentUrl = contentUrl;
  }

  public Model18 type(String type) {
    this.type = type;
    return this;
  }

   /**
   * Indicates the type of the document, it can be: - TERMS_AND_CONDITIONS; - OTHER; - ...
   * @return type
  **/
  @ApiModelProperty(example = "TERMS_AND_CONDITIONS", required = true, value = "Indicates the type of the document, it can be: - TERMS_AND_CONDITIONS; - OTHER; - ...")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model18 model18 = (Model18) o;
    return Objects.equals(this.name, model18.name) &&
        Objects.equals(this.contentUrl, model18.contentUrl) &&
        Objects.equals(this.type, model18.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, contentUrl, type);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model18 {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    contentUrl: ").append(toIndentedString(contentUrl)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

